diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -28623,13 +28825,13 @@ (define-public rust-matches-0.1
     (name "rust-matches")
     (version "0.1.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "matches" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "020axl4q7rk9vz90phs7f8jas4imxal9y9kxl4z4v7a6719mrz3z"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "matches" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "020axl4q7rk9vz90phs7f8jas4imxal9y9kxl4z4v7a6719mrz3z"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/SimonSapin/rust-std-candidates")
@@ -28789,13 +28991,13 @@ (define-public rust-matrixmultiply-0.2
     (name "rust-matrixmultiply")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "matrixmultiply" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "13s7nfd3dfcsrixld2lk8c563ih5xzczl2w36hprfc016rkfrxyl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "matrixmultiply" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "13s7nfd3dfcsrixld2lk8c563ih5xzczl2w36hprfc016rkfrxyl"))))
     (arguments
      `(#:cargo-inputs
        (("rust-rawpointer" ,rust-rawpointer-0.2))
@@ -28809,13 +29011,13 @@ (define-public rust-matrixmultiply-0.1
     (name "rust-matrixmultiply")
     (version "0.1.15")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "matrixmultiply" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "00p0fpjhm45qdzi37mgv7ggsy8b9gqvq4999yrbgyn1dxkf6gbfw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "matrixmultiply" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "00p0fpjhm45qdzi37mgv7ggsy8b9gqvq4999yrbgyn1dxkf6gbfw"))))
     (arguments
      `(#:cargo-inputs (("rust-rawpointer" ,rust-rawpointer-0.1))
        #:cargo-development-inputs (("rust-bencher" ,rust-bencher-0.1))))))
@@ -28845,14 +29047,14 @@ (define-public rust-md-5-0.9
     (name "rust-md-5")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "md-5" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "059ajjacz1q3cms7vl6cvhdqs4qdw2nnwj9dq99ryzv0p6djfnkv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "md-5" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "059ajjacz1q3cms7vl6cvhdqs4qdw2nnwj9dq99ryzv0p6djfnkv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -28874,14 +29076,14 @@ (define-public rust-md-5-0.8
     (name "rust-md-5")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "md-5" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1j5rfxy2p76xf5f1lgaw85xla0b1bbv2lknvdhv1j0ibmzfg72m1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "md-5" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1j5rfxy2p76xf5f1lgaw85xla0b1bbv2lknvdhv1j0ibmzfg72m1"))))
     (arguments
      `(#:cargo-inputs
        (("rust-block-buffer" ,rust-block-buffer-0.7)
@@ -28917,13 +29119,13 @@ (define-public rust-md5-0.6
     (name "rust-md5")
     (version "0.6.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "md5" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "17b2xm4h4cvxsdjsf3kdrzqv2za60kak961xzi5kmw6g6djcssvy"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "md5" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "17b2xm4h4cvxsdjsf3kdrzqv2za60kak961xzi5kmw6g6djcssvy"))))))
 
 (define-public rust-md5-0.3
   (package
@@ -28945,14 +29147,14 @@ (define-public rust-md5-asm-0.4
     (name "rust-md5-asm")
     (version "0.4.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "md5-asm" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0gpk5647js1k084jc7pg2gji0cvl6hjkkbfia6lnpk8y4shyairv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "md5-asm" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0gpk5647js1k084jc7pg2gji0cvl6hjkkbfia6lnpk8y4shyairv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -28995,14 +29197,14 @@ (define-public rust-measureme-0.7
     (name "rust-measureme")
     (version "0.7.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "measureme" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0cmrrh86b3rvws6d7xp07wfn703yw02cakzirykvn4vh4p9hkxzy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "measureme" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0cmrrh86b3rvws6d7xp07wfn703yw02cakzirykvn4vh4p9hkxzy"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -29023,14 +29225,14 @@ (define-public rust-memchr-2
     (name "rust-memchr")
     (version "2.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "memchr" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1p478fqf4nia2ma0kv4npb8x1hli0zz6k16517ikb51jkryx8sxi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "memchr" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1p478fqf4nia2ma0kv4npb8x1hli0zz6k16517ikb51jkryx8sxi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -29083,13 +29285,13 @@ (define-public rust-memmap-0.7
     (name "rust-memmap")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "memmap" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0ns7kkd1h4pijdkwfvw4qlbbmqmlmzwlq3g2676dcl5vwyazv1b5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "memmap" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0ns7kkd1h4pijdkwfvw4qlbbmqmlmzwlq3g2676dcl5vwyazv1b5"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -29112,13 +29314,13 @@ (define-public rust-memmap-0.6
     (name "rust-memmap")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "memmap" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1zy6s0ni0lx9rjzq3gq2zz9r8zgjmbp02332g3gsj4fyhv4s5zz2"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "memmap" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1zy6s0ni0lx9rjzq3gq2zz9r8zgjmbp02332g3gsj4fyhv4s5zz2"))))))
 
 (define-public rust-memmap-0.2
   (package
@@ -29336,21 +29538,21 @@ (define-public rust-merlin-2
     (name "rust-merlin")
     (version "2.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "merlin" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0y5vd610q7x82vf54pmnzlh0mh8hgxr6imv92yh46d7syi3cmzn6"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-byteorder" ,rust-byteorder-1)
-         ("rust-hex" ,rust-hex-0.3)
-         ("rust-keccak" ,rust-keccak-0.1)
-         ("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-zeroize" ,rust-zeroize-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "merlin" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0y5vd610q7x82vf54pmnzlh0mh8hgxr6imv92yh46d7syi3cmzn6"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-byteorder" ,rust-byteorder-1)
+        ("rust-hex" ,rust-hex-0.3)
+        ("rust-keccak" ,rust-keccak-0.1)
+        ("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-zeroize" ,rust-zeroize-1))))
     (home-page "https://docs.rs/merlin")
     (synopsis "Composable proof transcripts for public-coin arguments of
 knowledge")
@@ -29409,14 +29611,14 @@ (define-public rust-metadeps-1
     (name "rust-metadeps")
     (version "1.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "metadeps" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1hjla9ypycqw1snd2qf87cckcc0d5z5qvxpcijn5yrrs3f825cbk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "metadeps" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hjla9ypycqw1snd2qf87cckcc0d5z5qvxpcijn5yrrs3f825cbk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -29681,13 +29883,13 @@ (define-public rust-mime-0.3
     (name "rust-mime")
     (version "0.3.16")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "mime" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "13dcm9lh01hdwfjcg74ppljyjfj1c6w3a3cwkhxf0w8wa37cfq1a"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "mime" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "13dcm9lh01hdwfjcg74ppljyjfj1c6w3a3cwkhxf0w8wa37cfq1a"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/hyperium/mime")
@@ -29805,12 +30007,12 @@ (define-public rust-minimal-lexical-0.1
     (name "rust-minimal-lexical")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "minimal-lexical" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "0xynhr97vyv5n5lls41dl7bfa3ba122lix9mqij1l7yprl6n6r4w"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "minimal-lexical" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0xynhr97vyv5n5lls41dl7bfa3ba122lix9mqij1l7yprl6n6r4w"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/Alexhuszagh/minimal-lexical")
     (synopsis "Fast float parsing conversion routines.")
@@ -29851,13 +30053,13 @@ (define-public rust-miniz-oxide-0.3
     (name "rust-miniz-oxide")
     (version "0.3.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "miniz_oxide" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "198n4hfpq0qcxf275l6fpzh7b9cl7ck2xs6pjgpds74bazv9yrxa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "miniz_oxide" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "198n4hfpq0qcxf275l6fpzh7b9cl7ck2xs6pjgpds74bazv9yrxa"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs (("rust-adler32" ,rust-adler32-1))))))
@@ -29911,13 +30113,13 @@ (define-public rust-miniz-sys-0.1
     (name "rust-miniz-sys")
     (version "0.1.12")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "miniz-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "00l2r4anm8g35x0js2zfdnwfbrih9m43vphdpb77c5ga3kjkm7hy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "miniz-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "00l2r4anm8g35x0js2zfdnwfbrih9m43vphdpb77c5ga3kjkm7hy"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -30204,13 +30406,13 @@ (define-public rust-miow-0.2
     (name "rust-miow")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "miow" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "06g9b8sqlh5gxakwqq4rrib07afwanfnxgxajrldwcgk3hxjy7wc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "miow" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "06g9b8sqlh5gxakwqq4rrib07afwanfnxgxajrldwcgk3hxjy7wc"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -30371,19 +30573,19 @@ (define-public rust-modifier-0.1
     (name "rust-modifier")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "modifier" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0n3fmgli1nsskl0whrfzm1gk0rmwwl6pw1q4nb9sqqmn5h8wkxa1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "modifier" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0n3fmgli1nsskl0whrfzm1gk0rmwwl6pw1q4nb9sqqmn5h8wkxa1"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/reem/rust-modifier")
     (synopsis
-      "Chaining APIs for both self -> Self and &mut self methods.")
+     "Chaining APIs for both self -> Self and &mut self methods.")
     (description
-      "Chaining APIs for both self -> Self and &mut self methods.")
+     "Chaining APIs for both self -> Self and &mut self methods.")
     (license license:expat)))
 
 (define-public rust-mp4-0.8
@@ -30445,14 +30647,14 @@ (define-public rust-multi-default-trait-impl-0.1
     (name "rust-multi-default-trait-impl")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "multi-default-trait-impl" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1r6y5zb6kg655zi02yk4amkwsgds5ay9ag1dk30cls7rn3dlvvqs"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "multi-default-trait-impl" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1r6y5zb6kg655zi02yk4amkwsgds5ay9ag1dk30cls7rn3dlvvqs"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -30564,7 +30766,7 @@ (define-public rust-multipart-0.17
         ("rust-tiny-http" ,rust-tiny-http-0.6)
         ("rust-twoway" ,rust-twoway-0.1))
        #:cargo-development-inputs
-        (("rust-env-logger" ,rust-env-logger-0.5))))))
+       (("rust-env-logger" ,rust-env-logger-0.5))))))
 
 (define-public rust-multiversion-0.6
   (package
@@ -30719,19 +30921,19 @@ (define-public rust-nasm-rs-0.2
     (name "rust-nasm-rs")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nasm-rs" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1lgc3gg32hj4pcbfp07vzwy013smdm27469fyy4rqgyil3x46vx7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nasm-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1lgc3gg32hj4pcbfp07vzwy013smdm27469fyy4rqgyil3x46vx7"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:cargo-inputs
-        (("rust-arrayvec" ,rust-arrayvec-0.5)
-         ("rust-rayon" ,rust-rayon-1))))
+     `(#:cargo-inputs
+       (("rust-arrayvec" ,rust-arrayvec-0.5)
+        ("rust-rayon" ,rust-rayon-1))))
     (home-page "https://github.com/medek/nasm-rs")
     (synopsis "Run NASM during your Cargo build")
     (description "Run NASM during your Cargo build.")
@@ -30743,14 +30945,14 @@ (define-public rust-nasm-rs-0.1
     (name "rust-nasm-rs")
     (version "0.1.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nasm-rs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0r34hiy1pc0aksrfc02zsl0zyw33i9yi7kyx8l214l7nm0mzm97y"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nasm-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0r34hiy1pc0aksrfc02zsl0zyw33i9yi7kyx8l214l7nm0mzm97y"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -30762,17 +30964,17 @@ (define-public rust-nalgebra-0.26
     (name "rust-nalgebra")
     (version "0.26.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nalgebra" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "01hxksmgg17c4k2rzjx1h8kkjbw9rm81dsancg459zh2zrcisva7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nalgebra" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "01hxksmgg17c4k2rzjx1h8kkjbw9rm81dsancg459zh2zrcisva7"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:phases
-        (modify-phases %standard-phases
+     `(#:skip-build? #t
+       #:phases
+       (modify-phases %standard-phases
          (add-after 'configure 'patch-Cargo.toml
            (lambda _
              (substitute* '("Cargo.toml"
@@ -30780,34 +30982,34 @@ (define-public rust-nalgebra-0.26
                             "guix-vendor/rust-average-0.13.1.tar.gz/Cargo.toml")
                ;; The resolver feature is not supported by this version of Cargo.
                (("resolver = \"2\".*") "")))))
-        #:cargo-inputs
-        (("rust-abomonation" ,rust-abomonation-0.7)
-         ("rust-alga" ,rust-alga-0.9)
-         ("rust-approx" ,rust-approx-0.4)
-         ("rust-bytemuck" ,rust-bytemuck-1.5)
-         ("rust-glam" ,rust-glam-0.13)
-         ("rust-matrixcompare-core" ,rust-matrixcompare-core-0.1)
-         ("rust-matrixmultiply" ,rust-matrixmultiply-0.3)
-         ("rust-mint" ,rust-mint-0.5)
-         ("rust-num-complex" ,rust-num-complex-0.3)
-         ("rust-num-rational" ,rust-num-rational-0.3)
-         ("rust-num-traits" ,rust-num-traits-0.2)
-         ("rust-pest" ,rust-pest-2)
-         ("rust-pest-derive" ,rust-pest-derive-2)
-         ("rust-proptest" ,rust-proptest-1)
-         ("rust-quickcheck" ,rust-quickcheck-1)
-         ("rust-rand" ,rust-rand-0.8)
-         ("rust-rand-distr" ,rust-rand-distr-0.4)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-simba" ,rust-simba-0.4)
-         ("rust-typenum" ,rust-typenum-1))
-        #:cargo-development-inputs
-        (("rust-criterion" ,rust-criterion-0.2)
-         ("rust-itertools" ,rust-itertools-0.10)
-         ("rust-matrixcompare" ,rust-matrixcompare-0.2)
-         ("rust-rand-isaac" ,rust-rand-isaac-0.3)
-         ("rust-rand-xorshift" ,rust-rand-xorshift-0.3)
-         ("rust-serde-json" ,rust-serde-json-1))))
+       #:cargo-inputs
+       (("rust-abomonation" ,rust-abomonation-0.7)
+        ("rust-alga" ,rust-alga-0.9)
+        ("rust-approx" ,rust-approx-0.4)
+        ("rust-bytemuck" ,rust-bytemuck-1.5)
+        ("rust-glam" ,rust-glam-0.13)
+        ("rust-matrixcompare-core" ,rust-matrixcompare-core-0.1)
+        ("rust-matrixmultiply" ,rust-matrixmultiply-0.3)
+        ("rust-mint" ,rust-mint-0.5)
+        ("rust-num-complex" ,rust-num-complex-0.3)
+        ("rust-num-rational" ,rust-num-rational-0.3)
+        ("rust-num-traits" ,rust-num-traits-0.2)
+        ("rust-pest" ,rust-pest-2)
+        ("rust-pest-derive" ,rust-pest-derive-2)
+        ("rust-proptest" ,rust-proptest-1)
+        ("rust-quickcheck" ,rust-quickcheck-1)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-rand-distr" ,rust-rand-distr-0.4)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-simba" ,rust-simba-0.4)
+        ("rust-typenum" ,rust-typenum-1))
+       #:cargo-development-inputs
+       (("rust-criterion" ,rust-criterion-0.2)
+        ("rust-itertools" ,rust-itertools-0.10)
+        ("rust-matrixcompare" ,rust-matrixcompare-0.2)
+        ("rust-rand-isaac" ,rust-rand-isaac-0.3)
+        ("rust-rand-xorshift" ,rust-rand-xorshift-0.3)
+        ("rust-serde-json" ,rust-serde-json-1))))
     (home-page "https://nalgebra.org")
     (synopsis "Linear algebra library")
     (description
@@ -30820,14 +31022,14 @@ (define-public rust-nalgebra-0.21
     (name "rust-nalgebra")
     (version "0.21.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nalgebra" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "11ili22n4ffgcjbgvbjqmpbd67qrl2acqbpymg6z7d2h7my19dnn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nalgebra" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "11ili22n4ffgcjbgvbjqmpbd67qrl2acqbpymg6z7d2h7my19dnn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -30866,14 +31068,14 @@ (define-public rust-nalgebra-0.19
     (name "rust-nalgebra")
     (version "0.19.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nalgebra" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0i87k57nav221lnr9z7ljlwxh8073qsx33bajdm146y00q805fqa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nalgebra" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0i87k57nav221lnr9z7ljlwxh8073qsx33bajdm146y00q805fqa"))))
     (arguments
      `(#:cargo-inputs
        (("rust-abomonation" ,rust-abomonation-0.7)
@@ -30903,14 +31105,14 @@ (define-public rust-nalgebra-0.18
     (name "rust-nalgebra")
     (version "0.18.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nalgebra" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18i1npny8s45ff67p5qpdwwsn36fp23mal8847fkb32cqgdzvada"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nalgebra" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18i1npny8s45ff67p5qpdwwsn36fp23mal8847fkb32cqgdzvada"))))
     (arguments
      `(#:cargo-inputs
        (("rust-abomonation" ,rust-abomonation-0.7)
@@ -31308,14 +31510,14 @@ (define-public rust-ndarray-0.12
     (name "rust-ndarray")
     (version "0.12.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ndarray" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0a5rfwcbqnvbwi3nw5sfz6kf0flhmjxs64s0b4kxc6lhmyl81wvw"))
-        (patches (search-patches "rust-ndarray-remove-blas-src-dep.patch"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ndarray" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0a5rfwcbqnvbwi3nw5sfz6kf0flhmjxs64s0b4kxc6lhmyl81wvw"))
+       (patches (search-patches "rust-ndarray-remove-blas-src-dep.patch"))))
     (arguments
      `(#:cargo-inputs
        (("rust-itertools" ,rust-itertools-0.7)
@@ -31486,13 +31688,13 @@ (define-public rust-net2-0.2
     (name "rust-net2")
     (version "0.2.33")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "net2" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "126g3fgfxp06zimc1l9iyxnn9cif1hjsg7sd81nlls5nnyghsma2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "net2" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "126g3fgfxp06zimc1l9iyxnn9cif1hjsg7sd81nlls5nnyghsma2"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -31538,10 +31740,10 @@ (define-public rust-nettle-7
        (("rust-bindgen" ,rust-bindgen-0.51)
         ("rust-pkg-config" ,rust-pkg-config-0.3))))
     (home-page "https://gitlab.com/sequoia-pgp/nettle-rs")
-  (synopsis "Rust bindings for the Nettle cryptographic library")
-  (description "This package provides Rust bindings for the Nettle
+    (synopsis "Rust bindings for the Nettle cryptographic library")
+    (description "This package provides Rust bindings for the Nettle
 cryptographic library.")
-  (license (list license:lgpl3 license:gpl2 license:gpl3))))
+    (license (list license:lgpl3 license:gpl2 license:gpl3))))
 
 (define-public rust-nettle-5
   (package
@@ -32195,13 +32397,13 @@ (define-public rust-nodrop-0.1
     (name "rust-nodrop")
     (version "0.1.14")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nodrop" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1fz1v9r8ijacf0hlq0pdv5l9mz8vgqg1snmhvpjmi9aci1b4mvvj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nodrop" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1fz1v9r8ijacf0hlq0pdv5l9mz8vgqg1snmhvpjmi9aci1b4mvvj"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -32218,13 +32420,13 @@ (define-public rust-nodrop-union-0.1
     (name "rust-nodrop-union")
     (version "0.1.11")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nodrop-union" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1h59pph19rxanyqcaid8pg73s7wmzdx3zhjv5snlim5qx606zxkc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nodrop-union" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1h59pph19rxanyqcaid8pg73s7wmzdx3zhjv5snlim5qx606zxkc"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))   ; depends on features not in stable Rust
     (home-page "https://github.com/bluss/arrayvec")
@@ -32433,7 +32635,7 @@ (define-public rust-nom-1
         (base32
          "1kjh42w67z1hh1dw3jrilgqrf54jk2xcvhw4rcdm4wclzmbc5f55"))))
     (arguments
-      ;; This is an ancient version and all inputs are optional.
+     ;; This is an ancient version and all inputs are optional.
      `(#:skip-build? #t))))
 
 (define-public rust-nom-derive-0.7
@@ -32505,14 +32707,14 @@ (define-public rust-normalize-line-endings-0.3
     (name "rust-normalize-line-endings")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "normalize-line-endings" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1gp52dfn2glz26a352zra8h04351icf0fkqzw1shkwrgh1vpz031"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "normalize-line-endings" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1gp52dfn2glz26a352zra8h04351icf0fkqzw1shkwrgh1vpz031"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/derekdreery/normalize-line-endings")
     (synopsis
@@ -32542,44 +32744,44 @@ (define-public rust-notify-5
     (name "rust-notify")
     (version "5.0.0-pre.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "notify" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0jq1ixzi7rgq233dxbxkn129n8lidswp1glsgbdhvw7ig38brfs6"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-bitflags" ,rust-bitflags-1)
-         ("rust-crossbeam-channel"
-          ,rust-crossbeam-channel-0.5)
-         ("rust-filetime" ,rust-filetime-0.2)
-         ("rust-fsevent" ,rust-fsevent-2)
-         ("rust-fsevent-sys" ,rust-fsevent-sys-3)
-         ("rust-inotify" ,rust-inotify-0.9)
-         ("rust-libc" ,rust-libc-0.2)
-         ("rust-mio" ,rust-mio-0.7)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-walkdir" ,rust-walkdir-2)
-         ("rust-winapi" ,rust-winapi-0.3))
-        #:cargo-development-inputs
-        (("rust-serde-json" ,rust-serde-json-1))
-        #:phases
-        (modify-phases %standard-phases
-          (add-after 'unpack 'fix-version-requirements
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "notify" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0jq1ixzi7rgq233dxbxkn129n8lidswp1glsgbdhvw7ig38brfs6"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-1)
+        ("rust-crossbeam-channel"
+         ,rust-crossbeam-channel-0.5)
+        ("rust-filetime" ,rust-filetime-0.2)
+        ("rust-fsevent" ,rust-fsevent-2)
+        ("rust-fsevent-sys" ,rust-fsevent-sys-3)
+        ("rust-inotify" ,rust-inotify-0.9)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-mio" ,rust-mio-0.7)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-walkdir" ,rust-walkdir-2)
+        ("rust-winapi" ,rust-winapi-0.3))
+       #:cargo-development-inputs
+       (("rust-serde-json" ,rust-serde-json-1))
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'fix-version-requirements
            (lambda _
              (substitute* "Cargo.toml"
                (("0.7.7") ,(package-version rust-mio-0.7)))
              #t)))))
     (home-page "https://github.com/notify-rs/notify")
     (synopsis
-      "Cross-platform filesystem notification library")
+     "Cross-platform filesystem notification library")
     (description
-      "Cross-platform filesystem notification library")
+     "Cross-platform filesystem notification library")
     (license (list license:cc0 license:artistic2.0))))
 
 (define-public rust-noise-0.7
